import request from '@/utils/request'

// 查询挂架管理列表
export function listHanger(query) {
  return request({
    url: '/mapi/cloth/hanger/list',
    method: 'get',
    params: query
  })
}

// 查询挂架管理详细
export function getHanger(id) {
  return request({
    url: '/mapi/cloth/hanger/' + id,
    method: 'get'
  })
}

// 新增挂架管理
export function addHanger(data) {
  return request({
    url: '/mapi/cloth/hanger',
    method: 'post',
    data: data
  })
}

// 修改挂架管理
export function updateHanger(data) {
  return request({
    url: '/mapi/cloth/hanger',
    method: 'put',
    data: data
  })
}

// 删除挂架管理
export function delHanger(id) {
  return request({
    url: '/mapi/cloth/hanger/' + id,
    method: 'delete'
  })
}


// 修改挂架管理状态
export function updateHangerStatus(id,status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/mapi/cloth/hanger/updateStatus',
    method: 'post',
    data: data
  })
}

// 查询挂架 启用的
export function getHangerList(query) {
  return request({
    url: '/mapi/cloth/hanger/hangerList',
    method: 'get',
    params: query
  })
}
